Get reseller (Customer Store)

The Get reseller (Customer Store) method requires installed Customer Store (see managing Storefront).

For getting information about the current reseller or any of its downstream resellers, the Get downstream reseller method can also be used (see Get downstream reseller).

The Get reseller (Customer Store) method returns information about the current reseller or about any of its downstream resellers.

XML
GET: {base_url}/api/v3/resellers/{reseller_id}

Arguments

Name

Parameter type

Data type

Required/Optional

Description

X-Api-Token

header

string

Required

API token of a manager that performs the operation (see


)

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

integer

Required

ID of the current reseller or any of its downstream resellers (see 


)

Response model

Name

Data type

Description

id

string

Reseller ID

type

string

Data type

attributes

object

Reseller information


parent_id

string

Upstream (parent) reseller ID


created_at

date

Date and time of the reseller creation


updated_at

date

Date and time of the last update of the reseller information


general

object

Model of the general information about the reseller



name

string

Reseller name



domain

string

Reseller domain



currency

string

Reseller currency in the 

ISO 4217 alpha-3

format



manager

string

Manager that is attached to the reseller


company

object

Model of the information about the reseller company



name

string

Company name



address_line_1

string

First line of the company address



address_line_2

string

Second line of the company address



city

string

City, in which the company is situated



state

string

State, in which the company is situated



zip

string

Zip-code of the company



country

string

Company country code according to

ISO 3166-1 alpha-2

standard



phone

string

Phone number of the company:

  • + < country code > < city code or network code > < phone number >.

  • 00 < country code > < city code or network code > < phone number >.



fax

string

Company fax number



email

string

Company email


contacts

object

Information about reseller contact person



first-name

string

First name of the company contact person



last-name

string

Last name of the company contact person



middle-name

string

Middle name of the company contact person



position

string

Position of the company contact person



phone

string

Phone number of the company contact person:

  • + < country code > < city code or network code > < phone number >.

  • 00 < country code > < city code or network code > < phone number >.



email

string

Company contact person's email


attributes.custom-attributes

object

Reseller attributes



attributes.custom-attributes['custom-attribute-key']

string

Reseller attribute value

Request example

XML
GET /api/v3/customer_store/resellers/1
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetest3gJXZH5uHCw
Accept: application/vnd.api+json

Response example

JSON
{
    "data": {
        "id": "1",
        "type": "resellers",
        "attributes": {
            "created_at": "2016-08-25T09:26:12.491+03:00",
            "updated_at": "2020-01-16T13:10:53.572+03:00",
            "parent_id": 27,
            "general": {
                "created_at": "2016-08-25T09:26:12.491+03:00",
                "updated_at": "2020-01-16T13:10:53.572+03:00",
                "name": "SL SP Root",
                "domain": "test.activeplatform.com",
                "manager": "Alena Rataeva",
                "currency": "BYN"
            },
            "company": {
                "created_at": "2016-08-25T09:26:12.491+03:00",
                "updated_at": "2020-01-16T13:10:53.572+03:00",
                "city": "Минск",
                "zip": "220053",
                "country": "BY",
                "fax": "",
                "name": "SL SP Root",
                "address_line_1": "Гаяяяя",
                "address_line_2": "Гаяяяяя",
                "state": "Минская",
                "phone": "+375252222060",
                "email": "example@gmail.com"
            },
            "contacts": {
                "created_at": "2016-08-25T09:26:12.491+03:00",
                "updated_at": "2020-01-16T13:10:53.572+03:00",
                "first_name": "Ivan",
                "last_name": "Ivanov",
                "middle_name": "",
                "position": "",
                "phone": "+375252222060",
                "email": "aaaa@example.ru"
            },
            "custom_attributes": {
                "inn": "",
                "email": "",
                "l": ""
            }
        }
    }
}